Announcement

#1 2017-02-10 06:52:44

werewolfhero
Member
2017-02-10
2

Multiple errors after upgrade

Hello/Hi/Greetings,

Hi I recently had to upgrade to the newest version when my site host upgraded to php7 and i'm having some issues with the newest version of Piwigo.


Warning: session_start(): Failed to read session data: user (path: ) in /home/zakrhyno/public_html/werewolfhero/gallery/include/common.inc.php on line 149

Warning: Cannot modify header information - headers already sent by (output started at /home/zakrhyno/public_html/werewolfhero/gallery/include/common.inc.php:149) in /home/zakrhyno/public_html/werewolfhero/gallery/include/page_header.php on line 101

And when i try to log in to access the admin tools, it seems like its logging in only to kick me back out to the index page and leave me not logged in. Tried to manually activate the maintenance php but got a hacking error x.x

I've also tried checking the permissions and those shouldn't have any issues. Am I missing something? Something else i could try?

Screenshots;
http://www.werewolfhero.furry-muscle.or … nerror.jpg

http://www.werewolfhero.furry-muscle.or … ection.jpg

Browsers used; Chrome and Palemoon
Piwigo version: 2.8.6
PHP version:  7.1.1
MySQL version:
Server version: 5.6.35 - MySQL Community Server (GPL)
Protocol version: 10
(thats what phpmyadmin shows anyway)

Piwigo URL: http://http://www.werewolfhero.furry-muscle.org/gallery/

Last edited by werewolfhero (2017-02-10 07:40:58)

Offline

 

#2 2017-02-10 09:57:48

teekay
Member
2013-06-12
427

Re: Multiple errors after upgrade

And again: Piwigo 2.8 is not compatible with PHP 7.1

Offline

 

#3 2017-02-10 17:55:45

werewolfhero
Member
2017-02-10
2

Re: Multiple errors after upgrade

I'm sorry I wasted your time, I did not see anything anywhere that said that piwigo wasn't compatible with 7.1, only that you need atleast 5.2 in order to install. And I didnt choose to install that version, my site host decided that, so I guess i'll have to try and find something else then.

Edit, after doing some google searching found a fix that allows me to use 2.8.6 with php 7.1

[Github] Piwigo issue #611

had to tweak some coding relating to the session data.

Last edited by werewolfhero (2017-02-10 18:15:22)

Offline

 

#4 2017-02-10 18:26:00

Serge D
Member
US
2014-07-15
328

Re: Multiple errors after upgrade

easy fix:

functions_session.inc.php >function pwg_session_read

http://piwigo.org/forum/viewtopic.php?p … 75#p166175

you do have to remember to apply it every time until it would be fixed in the code

Offline

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2019 · Contact